<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Amaranth">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Inter">
    <link rel="stylesheet" href="css/home.css" type="text/css" />
    <title>Book Store - Home</title>
</head>

<body>
    <nav class="">
        <div class="">
            <H4>BookStore</H4>
        </div>
        <div class="menu">
            <ul>
                <a href="">Beranda</a>
                <a href="Store.php">Toko</a>
                <a href="cart.php">Keranjang</a>
            </ul>
        </div>

        <a href="login.php"> <button>Login</button></a>
    </nav>
    <main>
        <section class="hero">
            <div class="text">
                <H1>Perluas Pengetahuan dengan membaca buku</H1>
                <p>Jauh sekali, di balik kata pegunungan, 
                    jauh dari negeri ini, 
                    hiduplah teks-teks buta.
                </p>
                <a href="login.php"><button>Memulai</button></a>
            </div>
            <div class="image">
                <img src="https://qph.cf2.quoracdn.net/main-qimg-d189575415cfaa69f93fb182dcd022b0-lq" alt="">
            </div>
        </section>
        <section class="about">
            <div class="title">
                <p>ABOUT US</p>
                <H2>
                    Apa Itu BookStore?
                </H2>
            </div>
            <div class="content">
                <div class="text">
                    <H3>Beli & Baca Buku Anak-Anak</H3>
                    <p>Ketenangan yang luar biasa telah menguasai seluruh jiwaku, seperti pagi musim semi yang manis yang aku nikmati dengan sepenuh hati. Saya sendirian, dan merasakan pesona keberadaan di tempat ini, yang diciptakan untuk kebahagiaan jiwa seperti saya. Aku begitu bahagia, sahabatku, begitu terhanyut dalam perasaan indah akan keberadaan yang tenang, hingga aku mengabaikan bakat-bakatku.
                    </p>
                </div>
                <div class="image">
                    <img src="https://images.bisnis.com/posts/2017/05/08/1103668/istock-467552160.jpg"
                        alt="">
                </div>
            </div>
        </section>
        <section class="blog">
            <div class="title">
                <p>BLOG</p>
                <H2>
                    Temukan Informasi Baru
                </H2>
            </div>
            <div class="content">
                <!-- tempat card -->
            </div>
        </section>
        <section class="info">
            <div class="text">
                <H2>Dapatkan Informasi Lebih Lanjut</H2>
                <p>Ini adalah negara surgawi, di mana bagian-bagian kalimat yang terpanggang terbang ke mulut Anda. Bahkan Penunjuk yang mahakuasa pun tidak memiliki kendali terhadap teks-teks buta. Ini adalah kehidupan yang hampir tidak lazim. Suatu hari, betapapun kecilnya garis orang buta.
                </p>
                <a href="about.php"><button>Hubungi Kami</button></a>
            </div>
        </section>
    </main>
    <footer class="">
        <div class="">
            <H4>BookStore</H4>
        </div>
        <div class="menu">
            <ul>
                <a href="about.php">About Us</a>
                <a href="Store.php">Catalog </a>
                <a href="">Blog</a>
            </ul>
        </div>
    </footer>
    <script>
    const blog = {
        1: {
            img: "http://img.bukabuku.net/product/e/5/e599173f735611faaa9a003a0ab9bb81.jpg",
            title: "Jangan Jadi Orang Tua Durhaka.",
            author: "BookStore",
            date: "06 July 2020"
        },
        2: {
            img: "http://img.bukabuku.net/product/1/e/1e78d4c8224f8ffb1d11376e3afefca3.jpg",
            title: "Mengenal Tubuh Manusia.",
            author: "BookStore",
            date: "06 July 2020"
        },
        3: {
            img: "http://img.bukabuku.net/product/8/c/8c4c54e364b141c3fac9e47e23edcee1.jpg",
            title: "The Charisma Myth.",
            author: "BookStore",
            date: "06 July 2020"
        }
    };

    // Fungsi untuk membuat card
    function createCard(blogData) {
        const cardContainer = document.querySelector('.blog .content');

        // Buat elemen div untuk kartu
        const cardElement = document.createElement('div');
        cardElement.classList.add('card');

        // Tambahkan konten kartu
        cardElement.innerHTML = `
                
                <img src="${blogData.img}" alt="">
                <div class="text">
                    <h5>${blogData.title}</h5>
                    <p class="author">${blogData.author}</p>
                    <p class="date">${blogData.date}</p>
                </div>
        
            `;

        // Tambahkan kartu ke dalam container
        cardContainer.appendChild(cardElement);
    }

    // Iterasi melalui data JSON dan membuat kartu untuk setiap entri
    for (const key in blog) {
        if (blog.hasOwnProperty(key)) {
            createCard(blog[key]);
        }
    }
    </script>
</body>

</html>