<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Amaranth">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Inter">
    <link rel="stylesheet" href="css/Store.css" type="text/css" />
    <title>Document</title>
</head>

<body>
    <nav class="">
        <div class="">
            <H4>BookStore</H4>
        </div>
        <div class="menu">
            <ul>
                <a href="Index.php">Beranda</a>
                <a href="Store.php">Toko</a>
                <a href="cart.php">Keranjang</a>
            </ul>
        </div>
        <a href="login.php"> <button>Login</button></a>
    </nav>
    <main>
        <section class="content">
        </section>
    </main>
    <footer class="">
        <div class="">
            <H4>BookStore</H4>
        </div>
        <div class="menu">
            <ul>
                <a href="about.php">About Us</a>
                <a href="">Catalog </a>
                <a href="Index.php">Blog</a>
            </ul>
        </div>
    </footer>
    <script>
    const blog = {
        1: {
            id: 1,
            img: "http://img.bukabuku.net/product/e/5/e599173f735611faaa9a003a0ab9bb81.jpg",
            title: "Jangan Jadi Orang Tua Durhaka.",
            desc: "Buku Jangan Jadi Orang Tua Durhaka karya Ahmad Rifai Rifan adalah sebuah buku yang membahas tentang pentingnya menjadi orang tua yang baik dan bertanggung jawab. Buku ini memberikan panduan kepada orang tua agar dapat mengasuh dan mendidik anak-anaknya dengan baik, sesuai dengan tuntunan agama Islam.",
            price: 65000,
            author: "BookStore",
            date: "06 July 2020"
        },
        2: {
            id: 2,
            img: "http://img.bukabuku.net/product/1/e/1e78d4c8224f8ffb1d11376e3afefca3.jpg",
            title: "Mengenal Tubuh Manusia.",
            desc: "Mengenal tubuh manusia dan cara kerjanya🫀 Mengajarkan dan Mengenalkan anak anak tentang anggota tubuh mereka sejak dini itu penting lohh. Dengan menunjukkan anggota tubuh dan cara kerja nya mereka akan lebih mengenal diri nya dan dapat menghargai seluruh anggota tubuh nya yang sudah bekerja sama dalam kegiatan sehari hari. Yuk, kenalkan pada anak tentang tubuh manusia dan cara kerjanya.",
            price: 100000,
            author: "BookStore",
            date: "06 July 2020"
        },
        3: {
            id: 3,
            img: "http://img.bukabuku.net/product/8/c/8c4c54e364b141c3fac9e47e23edcee1.jpg",
            title: "he Charisma Myth.",
            desc: "Buku ini membahas tentang karisma, yang sering dianggap sebagai bakat alami yang hanya dimiliki oleh orang-orang tertentu. Namun, Olivia Fox Cabane berpendapat bahwa karisma adalah keterampilan yang dapat dipelajari dan dikembangkan oleh siapa saja.",
            price: 90000,
            author: "BookStore",
            date: "06 July 2020"
        },
        4: {
            id: 4,
            img: "http://img.bukabuku.net/product/f/7/f7216d336d1144c75cfb0c454f6fadf5.jpg",
            title: "Kenapa Harus Dipikirin?.",
            desc: "Tidak ada yang bisa meredupkan semangatmu. Tidak ada yang bisa menghambat ke mana lajumu. Diri sendirilah yang menentukan tujuan dan arah langkahmu. Bukan dia, mereka, atau orang lain yang akan memutuskan. Jadi, kenapa harus memikirkan ucapan orang lain. Cukup lakukan yang terbaik sesuai dengan isi hatimu. Karena setiap orang punya sudut pandangnya masing-masing.",
            price: 75000,
            author: "BookStore",
            date: "06 July 2020"
        },
    };

    // Fungsi untuk membuat card
    function createCard(blogData) {
        const cardContainer = document.querySelector('.content');

        // Buat elemen div untuk kartu
        const cardElement = document.createElement('div');
        cardElement.classList.add('card');
        const priceElement = document.createElement('p');
        priceElement.classList.add('price');
        //fomat currency
        const formattedPrice = new Intl.NumberFormat('id-ID', {
            style: 'currency',
            currency: 'IDR'
        }).format(blogData.price);


        // Tambahkan konten kartu
        cardElement.innerHTML = `
                
                <img src="${blogData.img}" alt="">
                <div class="text">
                    <h5>${blogData.title}</h5>
                    <p class="price">${formattedPrice}</p>
                    <p class="author">${blogData.author}</p>
                    <p class="date">${blogData.date}</p>
                </div>
        
            `;

        // Menambahkan event listener ke setiap kartu
        cardElement.addEventListener('click', () => {
            localStorage.setItem('blogData', JSON.stringify(blog));
            window.location.href = `detail.php?id=${blogData.id}`;
        });

        cardContainer.appendChild(cardElement);
    }

    // Iterasi melalui data JSON
    for (const key in blog) {
        if (blog.hasOwnProperty(key)) {
            createCard(blog[key]);
        }
    }
    </script>
</body>

</html>