<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Amaranth">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Inter">
    <link rel="stylesheet" href="css/about.css" type="text/css" />
    <title>Book Store - Home</title>
</head>

<body>
    <nav class="">
        <div class="">
            <H4>BookStore</H4>
        </div>
        <div class="menu">
            <ul>
                <a href="index.php">Home</a>
                <a href="Store.php">Store</a>
                <a href="cart.php">Cart</a>
            </ul>
        </div>

        <a href="login.php"> <button>Login</button></a>
    </nav>
    <main>

<div class="jumbotron">
    <img src="https://png.pngtree.com/png-vector/20221231/ourmid/pngtree-book-store-logo-template-market-rent-modern-vector-png-image_43668316.jpg" alt="Logo">
    <h2>BookStore</h2>
    <p><br>
    "Kami meyakini bahwa buku adalah jendela dunia."
    <br><br>
Kalimat ini singkat dan padat, namun memiliki makna yang mendalam. Buku dapat membuka pikiran kita terhadap berbagai hal baru, baik itu pengetahuan, pengalaman, maupun perspektif. Dengan membaca buku, kita dapat belajar tentang dunia di sekitar kita dan menjadi pribadi yang lebih berpengetahuan, bijaksana, dan toleran.
<br><br>
Kalimat ini juga dapat menggambarkan visi dan misi perusahaan atau tim toko buku. Perusahaan atau tim toko buku yang meyakini bahwa buku adalah jendela dunia akan berusaha untuk menyediakan berbagai macam buku untuk pembacanya. Mereka juga akan berusaha untuk menciptakan lingkungan yang nyaman dan menyenangkan bagi para pembaca untuk belajar dan tumbuh.
<br><br>
Berikut adalah beberapa kalimat pendek lainnya tentang toko buku:<br><br>

-"Buku adalah teman terbaik."<br>
-"Buku adalah sumber ilmu."<br>
-"Buku adalah jendela masa depan."<br>
-"Buku adalah inspirasi."<br>
-"Buku adalah kekuatan."<br><br>

Kalimat-kalimat ini dapat digunakan untuk menggambarkan berbagai aspek toko buku, seperti pentingnya buku, fungsi buku, dan manfaat buku.
    </p>
    <a href="index.php">[Halaman Awal]</a>
</div>

<section class="about">
    <h2>Tentang Kami</h2>
    <p>
    Perusahaan atau Tim Toko Buku Online<br><br>

Kami adalah sebuah perusahaan atau tim toko buku online yang berkomitmen untuk menyediakan buku-buku berkualitas kepada para pembaca di Indonesia. Kami percaya bahwa buku adalah jendela dunia, dan dengan membaca buku, kita dapat belajar tentang berbagai hal baru dan menjadi pribadi yang lebih berpengetahuan, bijaksana, dan toleran.
<br><br>
Kami menyediakan berbagai macam buku, mulai dari buku fiksi, non-fiksi, anak-anak, hingga buku pendidikan. Kami juga memiliki berbagai promo dan diskon menarik untuk para pelanggan kami.
<br><br>
Visi kami adalah menjadi toko buku online terlengkap dan terpercaya di Indonesia. Kami ingin menjadi tempat yang nyaman dan menyenangkan bagi para pembaca untuk menemukan buku-buku yang mereka cari.
<br><br>
Kami percaya bahwa dengan bekerja keras dan berkomitmen, kami dapat mencapai visi dan misi kami. Kami juga percaya bahwa dengan membaca buku, kita dapat membangun masa depan yang lebih baik.
    </p>
</section>
<section class="mission">
    <h2>Misi Kami</h2>
    <p>
    Misi kami adalah:
<br>
 <li>Menyediakan buku-buku berkualitas dengan harga yang terjangkau</li>
 <li>Menciptakan lingkungan yang nyaman dan menyenangkan bagi para pembaca</li>
 <li>Meningkatkan minat baca masyarakat Indonesia</li>
 <br><br>
    </p>
</section>

<section class="values">
    <h2>Nilai-nilai Kami</h2>
    <ul>
    <br>
    Berikut adalah beberapa hal yang membedakan kami dari toko buku online lainnya:
<br><br>
<li>Kelengkapan koleksi: Kami memiliki koleksi buku yang lengkap, mulai dari buku fiksi, non-fiksi, anak-anak, hingga buku pendidikan.</li>
<li>Promo dan diskon: Kami menawarkan berbagai promo dan diskon menarik untuk para pelanggan kami.</li>
<li>Kualitas pelayanan: Kami berkomitmen untuk memberikan pelayanan yang terbaik kepada para pelanggan kami.</li><br>

Kami mengundang Anda untuk mengunjungi toko buku online kami dan menemukan buku-buku yang Anda cari.
<br><br>
    </ul>
</section>

<section class="team">
    <h2>Tim Kami</h2>
    <ul>
        <li>
            <h3>Bintang Aji Sasongko</h3>
            <p>2203040073</p>
        </li>
        <li>
            <h3>Tegar</h3>
            <p>2203040034</p>
        </li>
        <li>
            <h3>Angger Pria Nugraha</h3>
            <p>2103040032</p>
        </li>
    </ul>
</section>

</main>
    <footer class="">
        <div class="">
            <H4>BookStore</H4>
        </div>
        <div class="menu">
            <ul>
                <a href="about.php">About Us</a>
                <a href="Store.php">Catalog </a>
                <a href="Index.php">Blog</a>
            </ul>
        </div>
    </footer>

</body>

</html>